Bug 1723461 - [abrt] xscreensaver-extras: munmap_chunk(): xjack killed by SIGABRT
Summary: [abrt] xscreensaver-extras: munmap_chunk(): xjack killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:23bda24eacec5abcb10a82ec246...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-24 14:50 UTC by Serhii Melnyk
Modified: 2019-07-10 03:18 UTC (History)
3 users (show)

Fixed In Version: xscreensaver-5.42-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-05 01:32:17 UTC


Attachments (Terms of Use)
File: backtrace (25.92 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: cgroup (341 bytes, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: core_backtrace (1.95 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: cpuinfo (1.45 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: dso_list (3.13 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: environ (1.39 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: limits (1.29 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: maps (20.61 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: mountinfo (3.59 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: open_fds (211 bytes, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-06-24 14:50 UTC, Serhii Melnyk
no flags Details

Description Serhii Melnyk 2019-06-24 14:50:21 UTC
Description of problem:
When selecting "Xjack" screensaver error occurs.

Version-Release number of selected component:
1:xscreensaver-extras-5.42-1.fc30.2

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xjack -root -window-id 0x2E0501B
crash_function: munmap_chunk
executable:     /usr/libexec/xscreensaver/xjack
journald_cursor: s=821b1eace4b14e1c97ece0562661819d;i=1327;b=9d49965c401d4110b355247b0ef7888b;m=1f36b304e;t=58c1202cdb1b6;x=aace4db56dda5d66
kernel:         5.0.9-301.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #4 munmap_chunk at malloc.c:2840
 #5 xjack_init at ../../hacks/xjack.c:100
 #6 run_screenhack_table at ../../hacks/screenhack.c:567

Comment 1 Serhii Melnyk 2019-06-24 14:50:25 UTC
Created attachment 1584052 [details]
File: backtrace

Comment 2 Serhii Melnyk 2019-06-24 14:50:26 UTC
Created attachment 1584053 [details]
File: cgroup

Comment 3 Serhii Melnyk 2019-06-24 14:50:27 UTC
Created attachment 1584054 [details]
File: core_backtrace

Comment 4 Serhii Melnyk 2019-06-24 14:50:29 UTC
Created attachment 1584055 [details]
File: cpuinfo

Comment 5 Serhii Melnyk 2019-06-24 14:50:30 UTC
Created attachment 1584056 [details]
File: dso_list

Comment 6 Serhii Melnyk 2019-06-24 14:50:31 UTC
Created attachment 1584057 [details]
File: environ

Comment 7 Serhii Melnyk 2019-06-24 14:50:33 UTC
Created attachment 1584058 [details]
File: limits

Comment 8 Serhii Melnyk 2019-06-24 14:50:35 UTC
Created attachment 1584059 [details]
File: maps

Comment 9 Serhii Melnyk 2019-06-24 14:50:37 UTC
Created attachment 1584060 [details]
File: mountinfo

Comment 10 Serhii Melnyk 2019-06-24 14:50:38 UTC
Created attachment 1584061 [details]
File: open_fds

Comment 11 Serhii Melnyk 2019-06-24 14:50:39 UTC
Created attachment 1584062 [details]
File: proc_pid_status

Comment 12 Mamoru TASAKA 2019-06-25 02:38:00 UTC
Ah, thank you for reporting. Reproduced.

Comment 13 Fedora Update System 2019-06-26 06:11:02 UTC
FEDORA-2019-c5b43b569e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5b43b569e

Comment 14 Fedora Update System 2019-06-26 06:11:19 UTC
FEDORA-2019-9742191b50 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9742191b50

Comment 15 Fedora Update System 2019-06-27 01:41:35 UTC
xscreensaver-5.42-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5b43b569e

Comment 16 Fedora Update System 2019-06-27 02:43:41 UTC
xscreensaver-5.42-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9742191b50

Comment 17 Fedora Update System 2019-07-05 01:32:17 UTC
xscreensaver-5.42-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-07-10 03:18:46 UTC
xscreensaver-5.42-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.